/*-----------message-list-----------*/
.message-list{
  width: auto;
  background: $back-main;
  margin-bottom: 29px;
  box-shadow: 0 0 20px $back-carusel-shadow;
  >li{
    @include transition(background 100ms ease-in-out 100ms);
    &:hover{
      background: $messages__item-hover;
      .message-list__short{
        >a{
          color: $text-total;
        }
      }
    }
    &:first-child{
      border: none;
    }
    border-top: 1px solid $btn-border-1;
    padding: 33px 28px 23px 23px;
    .message-list__count{
      border: 1px solid $text-links-blue;
      border-radius: 50%;
      width: 32px;
      height: 32px;
      display: block;
      color: $text-links-blue;
      text-align: center;
      line-height: 32px;
      margin-top: 14px;
    }
    .message-list__short{
      >a{
        @include transition(color 100ms ease-in-out 100ms);
        color: $text-links-blue;
        font-size: 24px;
        &:hover{
          text-decoration: none;
        }
      }
      p{
        font-size: 18px;
        height: 24px;
        overflow: hidden;
        color: $text-dark-blue;
      }
    }
    .message-list__time{
      color: $text-links-blue;
      font-size: 24px;
      display: block;
      margin-top: 11px;
      text-align: center;
    }
    .message-list__show{
      display: block;
      width: 42px;
      height: 42px;
      background: $text-total;
      position: relative;
      text-indent: -5000px;
      border-radius: 50%;
      float: right;
      margin-top: 9px;
      &:after{
        content: "";
        position: absolute;
        top: 20px;
        left: 20px;
        margin: -10px 0 0 -4px;
        width: 0;
        height: 0;
        border: 12px solid transparent;
        border-left-color: $back-main;
        border-right: 0;
        transition: left 0.3s ease;
        -webkit-transition: left 0.3s ease;
      }
      &:before{
        content: "";
        position: absolute;
        top: 20px;
        z-index: 5;
        left: 18px;
        margin: -10px 0 0 -4px;
        width: 0;
        height: 0;
        border: 12px solid transparent;
        border-left-color: $text-total;;
        border-right: 0;
        transition: left 0.3s ease;
        -webkit-transition: left 0.3s ease;
      }
    }
  }
}
/*-----------/message-list-----------*/
